## acorn 0.12.0

=== debian/changelog ===
acorn (0.12.0-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds. (closes: #788717)
  * Limit uscan to 0.x versions.
  * New upstream release.
  * Refresh patches.
  * Drop XS-Testsuite field, dpkg supports it by default now.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jun 2015 16:16:10 +0200

acorn (0.11.0-1) unstable; urgency=low

  * Initial release (Closes: #779300)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Feb 2015 13:24:59 +0100
