=== debian/control ===
Source: acorn
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: web
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-buildinfo,
               nodejs,
               node-uglify,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/acorn.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/acorn.git
Homepage: http://marijnhaverbeke.nl/acorn/

Package: libjs-acorn
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: ECMAScript parser for JavaScript
 Acorn is a tiny, fast JavaScript parser written in JavaScript.
 .
 acorn.js defines the main parser interface. The library also comes with a
 error-tolerant parser and an abstract syntax tree walker, defined in other
 files (acorn_loose.js & util/walk.js).
 .
 This package contains the acorn JavaScript files.

Package: node-acorn
Architecture: all
Depends: ${misc:Depends},
         nodejs
Description: ECMAScript parser for Node.js
 Acorn is a tiny, fast JavaScript parser written in JavaScript.
 .
 acorn.js defines the main parser interface. The library also comes with a
 error-tolerant parser and an abstract syntax tree walker, defined in other
 files (acorn_loose.js & util/walk.js).
 .
 This package contains the acorn module for Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.
