=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/acorn-$1.tar.gz/ \
https://github.com/marijnh/acorn/releases \
.*/archive/v?(0[\d\.]+).tar.gz
