## acorn 4.0.4

=== debian/changelog ===
acorn (4.0.4-2) unstable; urgency=medium

  * Add explicit rule to force compilation ordering (Closes: #850506)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 09 Mar 2017 07:17:56 +0100

acorn (4.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 11 Jan 2017 10:42:32 +0100

acorn (4.0.3-3) unstable; urgency=medium

  * Ship the src directory. (Closes: #848857)

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 Dec 2016 11:37:59 +0100

acorn (4.0.3-2) unstable; urgency=medium

  * Add patch to remove use of default arguments. (Closes: #847789)
  * Add patch to remove use of destructuring assignmants.
  * Modify the way manpages are built (courtesy of Mattia Rizzolo).

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 13 Dec 2016 17:00:41 +0100

acorn (4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Put myself as uploader.
  * Update the upstream url.
  * Bump dh compat to 10.
  * Use https for Vcs-* fields.
  * Bump standards-version to 3.9.8.
  * Rework d/copyright.
  * Remove libjs-acorn package (it's unclear what it means now).
  * Make the new sources compile with node-es6-module-transpiler.
  * Disable autotests : they don't work anymore.
  * Add lintian overrides for autogenerated code we have the generator for.
  * Fix /usr/bin/acorn so it works
  * Update the manpage.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 25 Nov 2016 09:07:02 +0100
