=== debian/control ===
Source: acorn
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: web
Priority: extra
Build-Depends: debhelper (>= 10),
               docbook2x, docbook-xml,
               node-ast-types,
               node-es6-module-transpiler,
               node-graceful-fs,
               nodejs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/acorn.git
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/acorn.git
Homepage: https://github.com/ternjs/acorn/

Package: node-acorn
Architecture: all
Depends: nodejs, ${misc:Depends}
Description: ECMAScript parser for Node.js
 Acorn is a tiny, fast JavaScript parser written in JavaScript.
 .
 acorn.js defines the main parser interface. The library also comes with a
 error-tolerant parser and an abstract syntax tree walker, defined in other
 files.
 .
 This package contains the acorn module for Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.
