=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/acorn-$1.tar.gz/ \
https://github.com/ternjs/acorn/tags .*/archive/v?([\d\.]+).tar.gz
