## acorn 5.1.1+ds1

=== debian/changelog ===
acorn (5.1.1+ds1-3) unstable; urgency=medium

  * Team upload
  * Create compatibility dist link
  * Fix loose and walk

 -- Bastien Roucariès <rouca@debian.org>  Mon, 28 Aug 2017 00:06:45 +0200

acorn (5.1.1+ds1-2) unstable; urgency=medium

  * Team upload
  
  [ Julien Puydt ]
  * Bump std-ver to 4.0.1.
  * Use node instead of nodejs now.
  * Improve the loose plugin.

  [ Bastien Roucariès ]
  * Bug fix: "Acorn does not build walk", thanks to Ross Gammon (Closes:
    #848507).
  * Enable test suite.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 19 Aug 2017 15:48:17 +0200

acorn (5.1.1+ds1-1) unstable; urgency=high

  * Team upload
  * Fix > instead of >= in control.
  * Repack and remove dist and test/bench
  * Run testsuite (smoke test)
  * Improve autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Fri, 18 Aug 2017 12:05:57 +0200

acorn (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches and depend on nodejs (> 6) (Closes: #872480).
  * Add a patch to unbreak the compilation with node-es6-module-transpiler.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 18 Aug 2017 09:02:29 +0200

acorn (5.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #857398).
  * Bump standards-version to 4.0.0.
  * Remove build-dep on docbook-xml since it's not used anymore.
  * Don't parse the changelog : use dpkg's variables.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 16 Aug 2017 08:58:07 +0200
