=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Section: web
 Priority: extra
 Build-Depends: debhelper (>= 10),
-               docbook2x, docbook-xml,
+	       dpkg-dev (>= 1.17.14),
+               docbook2x <!nodoc>,
                node-ast-types,
                node-es6-module-transpiler,
                node-graceful-fs,
-               nodejs
-Standards-Version: 3.9.8
+               nodejs (>= 6)
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/acorn.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/acorn.git
 Homepage: https://github.com/ternjs/acorn/
 
 Package: node-acorn
 Architecture: all
-Depends: nodejs, ${misc:Depends}
+Depends: nodejs (>= 6),
+ ${misc:Depends}
 Description: ECMAScript parser for Node.js
  Acorn is a tiny, fast JavaScript parser written in JavaScript.
  .
