=== debian/tests/control ===
Tests: require
Depends: node-acorn

Tests: smoketest
Depends: node-acorn

Tests: runtestsuite
Depends: node-acorn
