## acorn 5.4.1+ds1

=== debian/changelog ===
acorn (5.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 19 Feb 2018 23:29:18 +0100

acorn (5.3.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 03 Jan 2018 10:50:55 +0100

acorn (5.2.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 06 Nov 2017 03:15:10 +0100

acorn (5.1.2+ds1-2) unstable; urgency=high

  * Team upload
  * Reimport change of 5.1.1+ds1-3

 -- Bastien Roucariès <rouca@debian.org>  Thu, 02 Nov 2017 15:30:47 +0100

acorn (5.1.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump d/watch to version 4.
  * Bump std-ver to 4.1.1.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 22 Oct 2017 16:47:09 +0200
