=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: acorn
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Build-Depends: debhelper (>= 10),
-	       dpkg-dev (>= 1.17.14),
                docbook2x <!nodoc>,
                node-ast-types,
                node-es6-module-transpiler,
                node-graceful-fs,
                nodejs (>= 6)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/acorn.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/acorn.git
 Homepage: https://github.com/ternjs/acorn/
 
 Package: node-acorn
 Architecture: all
-Depends: nodejs (>= 6),
- ${misc:Depends}
+Depends: nodejs (>= 6), ${misc:Depends}
 Description: ECMAScript parser for Node.js
  Acorn is a tiny, fast JavaScript parser written in JavaScript.
  .
