=== debian/tests/control ===
Tests: require
Depends: node-acorn, nodejs (>= 6)

Tests: smoketest
Depends: node-acorn, nodejs (>= 6)

Tests: runtestsuite
Depends: node-acorn, nodejs (>= 6)

Tests: walk.js
Depends: node-acorn, nodejs (>= 6)
