=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts="\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 repacksuffix=+ds1, \
