## acorn 5.5.3+ds3

=== debian/changelog ===
acorn (5.5.3+ds3-3) unstable; urgency=medium

  * Team upload
  * Change unicode dependency to 12 (Closes: #929426)

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 May 2019 19:49:18 +0200

acorn (5.5.3+ds3-2) unstable; urgency=medium

  * Team upload
  * Build depends on node-unicode-11.0.0 instead of node-unicode-10.0.0
    (Closes: #914004)
  * Refresh patches
  * Add module-acorn-node in gbp.conf component

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Feb 2019 07:20:17 +0100

acorn (5.5.3+ds3-1) unstable; urgency=medium

  * Team upload
  * Avoid to upload twice acorn node

 -- Bastien Roucariès <rouca@debian.org>  Sun, 06 May 2018 16:47:10 +0200

acorn (5.5.3+ds2-1) unstable; urgency=medium

  * Team upload.
  * Import small package acorn-node.
  * Regenerate unicode regex from unicode files.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Sat, 05 May 2018 20:15:37 +0200

acorn (5.5.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 09 Mar 2018 07:02:20 +0100

acorn (5.5.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 04 Mar 2018 23:21:11 +0100

acorn (5.4.1+ds1-2) unstable; urgency=medium

  * Use rollup -- like upstream.
  * Bump dh compat to 11.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 25 Feb 2018 20:03:13 +0100
