=== debian/control ===
Source: acorn
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               docbook2x <!nodoc>,
               node-ast-types,
               node-graceful-fs,
               nodejs (>= 6),
               rollup,
               node-unicode-12.0.0,
               node-xtend <!nocheck>,
               node-tape <!nocheck>,
               node-tap (>= 10) <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/acorn
Vcs-Git: https://salsa.debian.org/js-team/acorn.git
Homepage: https://github.com/ternjs/acorn/

Package: node-acorn
Architecture: all
Depends: nodejs (>= 6),
         ${misc:Depends},
         node-xtend
Provides: node-acorn-node (=1.3.0)
Description: ECMAScript parser for Node.js
 Acorn is a tiny, fast JavaScript parser written in JavaScript.
 .
 acorn.js defines the main parser interface. The library also comes with a
 error-tolerant parser and an abstract syntax tree walker, defined in other
 files.
 .
 This package contains the acorn module for Node.js.
 .
 This package contain also the small wrapper acorn-node.
 .
 Node.js is an event-based server-side JavaScript engine.
