=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,8 @@
 Tests: runtestsuite
 Depends: node-acorn, nodejs (>= 6)
 
+Tests: runtestsuite-acorn-node
+Depends: node-acorn-node, nodejs (>= 6), node-tap (>= 10), node-tape (>= 4.8)
+
 Tests: walk.js
 Depends: node-acorn, nodejs (>= 6)
