## acorn 6.2.1%2Bds%2B~cs11.24.3

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

MANPAGES_TARGET := $(subst .1.xml,.1, $(wildcard debian/man/*.*.xml))

TESTSUITEDIR=debian/testsuite
BUILDDIR=build

%:
	dh $@


define newline =


endef
define space =
endef



COMPONENTS=$(shell set -e;cd debian/components && (find . -type d -printf "%f\n" | sed '/^[.]$$/d' | xargs printf "%s " | sed 's/[[:space:]]*$$//g'))
COMPONENTS_FILES_C=$(foreach component,$(COMPONENTS),./debian/components/$(component)/$(1))
COPYRIGHT_COMPONENTS_FILES=$(call COMPONENTS_FILES,copyright)
DOCS_COMPONENTS_FILES=$(call COMPONENTS_FILES,docs)
INSTALL_COMPONENTS_FILES=$(call COMPONENTS_FILES,install)
NODE_SUBPACKAGE=$(COMPONENTS)
ACORN_COMPONENTS=acorn-walk acorn-loose
PACKAGES_DOCS_DIR=$(COMPONENTS) node-acorn node-acorn-walk node-acorn-loose

ACORN_MAIN_PACKAGES=acorn $(ACORN_COMPONENTS)
ACORN_SUBPACKAGE=$(foreach component,$(COMPONENTS),$(shell echo $(component) | sed 's/^/node-/g'))
MAIN_PACKAGE=node-debbundle-acorn

BUILD_STAMPS_ACORN_MAIN=$(foreach pkg,$(ACORN_MAIN_PACKAGES),$(BUILDDIR)/$(pkg)/build.stamp)
BUILD_STAMPS_COMPONENTS=$(foreach pkg,$(COMPONENTS),$(pkg)/build.stamp)
BUILD_STAMPS=$(BUILD_STAMPS_ACORN_MAIN) $(BUILD_STAMPS_COMPONENTS)

# work arround transpile bug
ROLLUP=TRANSPILE=babel6 BABEL_PRESET=es2015 rollup

ACORN_SRC= $(shell find acorn/src -name "*.js" -type f | LC_ALL=C sort)

$(BUILDDIR)/acorn/builddir.stamp: $(ACORN_SRC) acorn/rollup*.js acorn/package.json acorn/bin/acorn
	mkdir -p $(dir $@)
	cp -rf acorn $(BUILDDIR)
	# remove identifier
	rm -f  $(dir $@)/src/identifier.js
	touch $@

$(BUILDDIR)/acorn/src/identifier.js: acorn/src/identifier.js $(BUILDDIR)/acorn/builddir.stamp
	 node bin/generate-identifier-regex.js $< > $@

$(BUILDDIR)/acorn/build.stamp: $(BUILDDIR)/acorn/builddir.stamp $(BUILDDIR)/acorn/src/identifier.js
	cd $(BUILDDIR) && $(ROLLUP) -c acorn/rollup.config.js
	cd $(BUILDDIR) && $(ROLLUP) -c acorn/rollup.config.bin.js
	touch $@

ACORN_WALK_SRC= $(shell find acorn-walk/src -name "*.js" -type f | LC_ALL=C sort)

$(BUILDDIR)/acorn-walk/builddir.stamp: $(ACORN_WALK_SRC) acorn-walk/rollup*.js acorn-walk/package.json
	mkdir -p $(dir $@)
	cp -rf acorn-walk $(BUILDDIR)
	touch $@

$(BUILDDIR)/acorn-walk/build.stamp: $(BUILDDIR)/acorn-walk/builddir.stamp $(BUILDDIR)/acorn/build.stamp
	cd $(BUILDDIR) && $(ROLLUP) -c acorn-walk/rollup.config.js
	touch $@

ACORN_LOOSE_SRC= $(shell find acorn-walk/src -name "*.js" -type f | LC_ALL=C sort)

$(BUILDDIR)/acorn-loose/build.stamp: $(BUILDDIR)/acorn/build.stamp
	mkdir -p $(dir $@)
	cp -rf acorn-loose $(BUILDDIR)
	mkdir -p $(dir $@)/node_modules/
	ln -s ../../acorn $(dir $@)/node_modules/acorn
	touch $@
	cd $(BUILDDIR) && $(ROLLUP) -c acorn-loose/rollup.config.js
	touch $@

ACORN_DYNAMIC_IMPORT_SRC=$(shell find node-acorn-dynamic-import/src -name "*.js" -type f | LC_ALL=C sort)

node-acorn-dynamic-import/build.stamp: $(BUILDDIR)/acorn/build.stamp $(BUILDDIR)/acorn-walk/build.stamp $(ACORN_DYNAMIC_IMPORT_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	ln -sf ../../$(BUILDDIR)/acorn-walk $(dir $@)/node_modules/acorn-walk
	cd $(dir $@) && babeljs src --out-dir lib
	touch $@

ACORN_BIGINT_SRC=node-acorn-bigint/index.js

node-acorn-bigint/build.stamp: $(BUILDDIR)/acorn/build.stamp $(ACORN_BIGINT_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	touch $@

ACORN_IMPORT_META_SRC=node-acorn-import-meta/index.js

node-acorn-import-meta/build.stamp: $(BUILDDIR)/acorn/build.stamp $(ACORN_IMPORT_META_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	touch $@


ACORN_PRIVATE_CLASS_ELEMENTS_SRC=node-acorn-private-class-elements/index.js

node-acorn-private-class-elements/build.stamp: $(BUILDDIR)/acorn/build.stamp $(ACORN_PRIVATE_CLASS_ELEMENTS_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn


ACORN_CLASS_FIELDS_SRC=node-acorn-class-fields/index.js

node-acorn-class-fields/build.stamp: $(BUILDDIR)/acorn/build.stamp node-acorn-private-class-elements/build.stamp $(ACORN_CLASS_FIELDS_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	ln -sf ../../node-acorn-private-class-elements $(dir $@)/node_modules/acorn-private-class-elements

ACORN_STATIC_CLASS_FEATURES_SRC=node-acorn-static-class-features/index.js

node-acorn-static-class-features/build.stamp: $(BUILDDIR)/acorn/build.stamp node-acorn-private-class-elements/build.stamp $(ACORN_STATIC_CLASS_FEATURES_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	ln -sf ../../node-acorn-private-class-elements $(dir $@)/node_modules/acorn-private-class-elements

ACORN_EXPORT_NS_FROM_SRC=node-acorn-export-ns-from/index.js

node-acorn-export-ns-from/build.stamp: $(BUILDDIR)/acorn/build.stamp $(ACORN_EXPORT_NS_FROM_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn

ACORN_NUMERIC_SEPARATOR_SRC=node-acorn-numeric-separator/index.js

node-acorn-numeric-separator/build.stamp: $(BUILDDIR)/acorn/build.stamp $(ACORN_NUMERIC_SEPARATOR_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn

ACORN_PRIVATE_METHODS_SRC=node-acorn-private-methods/index.js

node-acorn-private-methods/build.stamp: $(BUILDDIR)/acorn/build.stamp node-acorn-private-class-elements/build.stamp $(ACORN_PRIVATE_METHODS_SRC)
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	ln -sf ../../node-acorn-private-class-elements $(dir $@)/node_modules/acorn-private-class-elements

ACORN_NODE_SRC=node-acorn-node/build.js node-acorn-node/walk.js node-acorn-node/index.js

node-acorn-node/build.stamp: $(BUILDDIR)/acorn/build.stamp node-acorn-bigint/build.stamp node-acorn-import-meta/build.stamp $(BUILDDIR)/acorn-walk/build.stamp node-acorn-dynamic-import/build.stamp $(ACORN_NODE_SRC) node-acorn-private-class-elements/build.stamp node-acorn-class-fields/build.stamp node-acorn-static-class-features/build.stamp node-acorn-export-ns-from/build.stamp
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	ln -sf ../../node-acorn-bigint $(dir $@)/node_modules/acorn-bigint
	ln -sf ../../node-acorn-import-meta $(dir $@)/node_modules/acorn-import-meta
	ln -sf ../../$(BUILDDIR)/acorn-walk $(dir $@)/node_modules/acorn-walk
	ln -sf ../../node-acorn-dynamic-import $(dir $@)/node_modules/acorn-dynamic-import
	ln -sf ../../node-acorn-private-class-elements $(dir $@)/node_modules/acorn-private-class-elements
	ln -sf ../../node-acorn-class-fields $(dir $@)/node_modules/acorn-class-fields
	ln -sf ../../node-acorn-static-class-features $(dir $@)/node_modules/acorn-static-class-features
	ln -sf ../../node-acorn-export-ns-from $(dir $@)/node_modules/acorn-export-ns-from
	touch $@

node-acorn-jsx/build.stamp: $(BUILDDIR)/acorn/build.stamp node-acorn-jsx/*.js
	mkdir -p $(dir $@)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn $(dir $@)/node_modules/acorn
	touch $@

override_dh_auto_build: $(BUILD_STAMPS)

override_dh_auto_test_acorn: $(BUILD_STAMPS_ACORN_MAIN)
	# create a link in order to run acorn
	mkdir -p $(TESTSUITEDIR)
	mkdir -p $(TESTSUITEDIR)/node_modules
	ln -sf ../../$(BUILDDIR)/acorn/dist $(TESTSUITEDIR)/dist
	cp $(BUILDDIR)/acorn/bin/acorn $(TESTSUITEDIR)/binacorn
	chmod +x $(TESTSUITEDIR)/binacorn
	sed -i "s,require('../dist/bin.js'),require('./dist/bin.js'),g" $(TESTSUITEDIR)/binacorn
	@echo '*********************************************************'
	@echo 'Run test suite                                           '
	@echo '**********************************************************'
	# basic smoke test
	@echo Run bin acorn on itself
	@echo '=========================================================='
	./$(TESTSUITEDIR)/binacorn < $(TESTSUITEDIR)/dist/acorn.js
