## acorn 6.2.1+ds+~cs11.24.3

=== debian/changelog ===
acorn (6.2.1+ds+~cs11.24.3-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Team upload
  * Fix components list in debian/gbp.conf
  * Fix for rollup 1 (Closes: #954702)
  * Use checksum+ctype uscan features (Closes: #940708)
  * Repack current version into 6.2.1+ds+~cs11.24.3
  * Add "Rules-Requires-Root: no"
  * Update lintian overrides

 -- Bastien Roucariès <rouca@debian.org>  Fri, 27 Mar 2020 00:30:06 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-14) unstable; urgency=medium

  * Allow to remove buble or babel transpile in the next version using build
    profile
  * Fix debci
  * Rebuilt with newer rollup

 -- Bastien Roucariès <rouca@debian.org>  Sat, 22 Feb 2020 23:35:36 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-13) unstable; urgency=medium

  * Breaks against node-acorn-object-spread that is included in main acorn package as patch.
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Fri, 21 Feb 2020 22:19:00 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-12) experimental; urgency=medium

  * Fix debci by requiring node-acorn (>= 6.2.1)

 -- Bastien Roucariès <rouca@debian.org>  Fri, 21 Feb 2020 20:39:17 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-11) experimental; urgency=medium

  * Install types using package.json

 -- Bastien Roucariès <rouca@debian.org>  Fri, 21 Feb 2020 17:14:15 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-10) experimental; urgency=medium

  * Fix debci

 -- Bastien Roucariès <rouca@debian.org>  Fri, 21 Feb 2020 12:06:06 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-9) experimental; urgency=medium

  * Breaks with node-falafel (<<2.1.0-9~)
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 20 Feb 2020 21:33:15 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-8) experimental; urgency=medium

  * Breaks with node-espree (<< 6)
  * Fix debci

 -- Bastien Roucariès <rouca@debian.org>  Thu, 20 Feb 2020 14:33:27 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-7) experimental; urgency=medium

  * Bug fix: "fails to upgrade from sid: unable to install new version of
    '/usr/share/doc/node-acorn-node/README.md': No such file or
    directory", thanks to Andreas Beckmann (Closes: #915022).
  * Bug fix: "fails to upgrade from sid - trying to overwrite
    /usr/lib/nodejs/acorn-dynamic-import/lib/index.js", thanks to Andreas
    Beckmann (Closes: #931903).

 -- Bastien Roucariès <rouca@debian.org>  Thu, 20 Feb 2020 11:00:16 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-6) experimental; urgency=medium

  [ Julien Puydt ]
  * Drop myself from uploaders: I don't understand how this packaging works!

  [ Bastien Roucariès ]
  * Bug fix: "FTBFS: Error: Cannot find module
    "rollup-plugin-buble";", thanks to Andreas Beckmann (Closes:
    #950562).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 19 Feb 2020 19:27:12 +0100

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-5) experimental; urgency=medium

  * Really install acorn-export-ns-from

 -- Bastien Roucariès <rouca@debian.org>  Sun, 15 Sep 2019 19:06:54 +0200

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-4) experimental; urgency=medium

  * Really install node-static-class-features

 -- Bastien Roucariès <rouca@debian.org>  Sat, 14 Sep 2019 23:25:53 +0200

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-3) experimental; urgency=medium

  * Bug fix: "build depends on older node-unicode-*", thanks to
    daniel.baumann@progress-linux.org; (Closes: #934079). Depends
    on newly introduced node-unicode-lastest

 -- Bastien Roucariès <rouca@debian.org>  Fri, 06 Sep 2019 12:37:01 +0200

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-2) experimental; urgency=medium

  [ Xavier Guimard ]
  * Fix debian/copyright links and paths
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Drop unneeded version constraints from (build) dependencies

 -- Bastien Roucariès <rouca@debian.org>  Mon, 05 Aug 2019 17:44:34 +0200

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-1) UNRELEASED; urgency=medium

  * New upstream version of acorn.
  * New upstream version of acorn-bigint:
  * Install modules to /usr/share/
  * Bug fix: "Please add Breaks for webpack << 4.28.3 to acorn 6",
    thanks to Pirate Praveen (Closes: #931018).
  * Bug fix: "fails to upgrade from sid; - trying to overwrite
    /usr/lib/nodejs/acorn-dynamic-import/lib/index.js", thanks to Andreas
    Beckmann (Closes: #931903). Solve by using suitable breaks/replace
    and oversionmangle to 4.0.0+really4.0.0 for our version.
  * Bug fix: "New upstream is out", thanks to Julien Puydt (Closes:
    #911367).
  * Bug fix: "fails to upgrade from sid: unable to install new version of
    /usr/share/doc/node-acorn-node/README.md: No such file or
    directory", thanks to Andreas Beckmann (Closes: #915022).
  * Bug fix: "acorn 6.1.1 please bundle additional plugins needed by
    nodejs source", thanks to Jérémy Lal (Closes: #931179):
    + Add new module node-acorn-private-class-elements

