=== debian/tests/control ===
Tests: require-acorn
Depends: node-acorn (>= 6.2.1), nodejs (>= 6)

Tests: smoketest
Depends: node-acorn (>= 6.2.1), nodejs (>= 6)

Tests: runtestsuite-acorn-node
Depends: node-acorn-node, nodejs (>= 6), node-tap (>= 10), node-tape (>= 4.8)

Tests: walk.js
Depends: node-acorn-walk, nodejs (>= 6)

Tests: require-acorn-loose
Depends: node-acorn-loose, nodejs (>= 6)

Tests: require-acorn-walk
Depends: node-acorn-walk, nodejs (>= 6)

Tests: require-acorn-bigint
Depends: node-acorn-bigint, nodejs (>= 6)

Tests: require-acorn-dynamic-import
Depends: node-acorn-dynamic-import, nodejs (>= 6)

Tests: require-acorn-import-meta
Depends: node-acorn-import-meta, nodejs (>= 6)

Tests: require-acorn-jsx
Depends: node-acorn-jsx, nodejs (>= 6)

Tests: require-acorn-node
Depends: node-acorn-node, nodejs (>= 6)

Tests: require-acorn-private-class-elements
Depends: node-acorn-private-class-elements, nodejs (>= 6)

Tests: require-acorn-class-fields
Depends: node-acorn-class-fields, nodejs (>= 6)

Tests: require-acorn-static-class-features
Depends: node-acorn-static-class-features, nodejs (>= 6)

Tests: require-acorn-export-ns-from
Depends: node-acorn-export-ns-from, nodejs (>= 6)

Tests: require-acorn-numeric-separator
Depends: node-acorn-numeric-separator, nodejs (>= 6)

Tests: require-acorn-private-methods
Depends: node-acorn-private-methods, nodejs (>= 6)
