## acorn 8.0.4+ds+~cs19.19.27

=== debian/changelog ===
acorn (8.0.4+ds+~cs19.19.27-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Fix Breaks version of node-acorn-dynamic-import

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Dec 2020 00:13:42 +0530

acorn (8.0.4+ds+~cs19.19.27-1) unstable; urgency=medium

  * Team upload
  * Embed acorn-globals
  * New upstream version 8.0.4+ds+~cs19.19.27
    Really: 1.0.0+~4.0.0+~1.1.0+~5.3.1+~2.0.1+~0.2.7
            +~0.3.7+~0.2.4+~0.2.0+~0.3.4+~0.3.3+~6.0.0
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 26 Oct 2020 13:02:06 +0100

acorn (8.0.4+ds+~cs13.19.27-3) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Provides "acorn" virtual package
  * Enable some component tests during build

 -- Xavier Guimard <yadd@debian.org>  Tue, 13 Oct 2020 11:05:28 +0200

acorn (8.0.4+ds+~cs13.19.27-2) experimental; urgency=medium

  * Team upload
  * Add missing node-acorn in "Provides" field

 -- Xavier Guimard <yadd@debian.org>  Fri, 09 Oct 2020 11:48:56 +0200

acorn (8.0.4+ds+~cs13.19.27-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Xavier Guimard ]
  * New upstream version 8.0.4+ds+~cs13.19.27
  * Refresh patches
  * Simplify debian/* using dh-sequence-nodejs features
  * Enable upstream test during build and autopkgtest
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Fri, 09 Oct 2020 11:26:47 +0200

acorn (6.2.1+ds+~cs11.24.3-3) unstable; urgency=medium

  * Team upload
  * Remove build dependency on node-babel-preset-airbnb (Closes: #960531)

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 May 2020 14:40:14 +0530

acorn (6.2.1+ds+~cs11.24.3-2) unstable; urgency=medium

  * Team upload
  * Build with babel 7 (Closes: #958772)

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 22:03:30 +0530

acorn (6.2.1+ds+~cs11.24.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Apr 2020 13:31:02 +0530

acorn (6.2.1+ds+~0.4.0+~4.0.0+really4.0.0+~1.0.0+~5.0.1+ds+~1.7.0+ds+~0.1.1+~0.3.1+~0.2.0+~0.1.0+~0.3.0+~0.3.0-5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Nov 2019 15:59:30 +0530
