=== debian/control ===
Source: acorn
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       docbook2x <!nodoc>,
	       node-ast-types,
	       node-graceful-fs,
	       node-babel7,
	       nodejs (>= 10~),
	       rollup,
               node-rollup-plugin-babel (>= 4.4~),
	       node-rollup-plugin-buble,
	       node-unicode-lastest,
	       node-xtend <!nocheck>,
	       node-tape <!nocheck>,
	       node-tap (>= 10) <!nocheck>,
	       mocha (>= 4) <!nocheck>,
	       dh-sequence-nodejs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/acorn
Vcs-Git: https://salsa.debian.org/js-team/acorn.git
Homepage: https://github.com/ternjs/acorn/
Rules-Requires-Root: no

Package: node-debbundle-acorn
Architecture: all
Depends: nodejs (>= 10.12.0~dfsg~), ${misc:Depends},
 node-xtend
Provides: acorn (= ${binary:Version})
 , node-acorn (= ${binary:Version})
 , ${nodejs:Provides}
Replaces: node-acorn-dynamic-import (<< 4.0.0+really4.0.0~),
  node-acorn-jsx (<< 5.0.0~),
  node-acorn (<< 6.0.2+20181021git007b08d01eff070+ds+~0.3.1+~4.0.0+~0.3.0+~5.0.0+ds+~1.6.1+ds-2~)
Breaks: node-acorn-dynamic-import (<< 4.0.0~),
  node-acorn-jsx (<< 5.0.0~),
  node-acorn (<< 6.0.2+20181021git007b08d01eff070+ds+~0.3.1+~4.0.0+~0.3.0+~5.0.0+ds+~1.6.1+ds-2~),
  node-babel (<< 7),
  webpack (<< 4.28.3~),
  node-espree (<< 6~),
  node-falafel (<<2.1.0-9~),
  node-acorn-object-spread (<<6~)
Description: ECMAScript parser for Node.js
 Acorn is a tiny, fast JavaScript parser written in JavaScript.
 .
 acorn.js defines the main parser interface. The library also comes with a
 error-tolerant parser and an abstract syntax tree walker, defined in other
 files.
 .
 This package contains the acorn module for Node.js.
 .
 This package contains also small pluggins packages acorn-bigint,
 acorn-dynamic-import, acorn-jsx, acorn-node, acorn-private-class-elements,
 acorn-class-fields, acorn-static-class-features, acorn-export-ns-from,
 acorn-numeric-separator, acorn-private-methods.
 .
 Node.js is an event-based server-side JavaScript engine.
